ebiometrees = {}

function ebiometrees.is_leaves_can_grow_here(pos)
  return false
end

function ebiometrees.grow_closure(nextstage)
  local function growtree(pos)
    minetest.set_node(pos, {name=nextstage})
  end
  return growtree
end

function ebiometrees.leaves_grower(leaves_name)
  local function grow_leaves(pos)
    local free_node = minetest.find_node_near(pos, 1, "air")
    if free_node
    then
      minetest.set_node(free_node, {name=leaves_name})
    end
    return true
  end
  return grow_leaves
end

function ebiometrees.root_sapling(pos)
  minetest.set_node(pos, {name="ebiome:oak_sprout"})
  return false
end

